## net.dontdrinkandroot.wicket.bootstrap.behavior
Class BadgeBehavior

    java.lang.Object
      org.apache.wicket.behavior.Behavior
          net.dontdrinkandroot.wicket.bootstrap.behavior.BadgeBehavior

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class BadgeBehavior

extends org.apache.wicket.behavior.Behavior

See Also:
  Serialized Form

Constructor Summary
`BadgeBehavior()`
`BadgeBehavior(BadgeStyle labelStyle)`
`BadgeBehavior(org.apache.wicket.model.IModel<BadgeStyle> labelStyleModel)`

Method Summary
`void` `bind(org.apache.wicket.Component component)`
`BadgeStyle` `getBadgeStyle()`
`protected org.apache.wicket.model.IModel<BadgeStyle>` `getBadgeStyleModel()`

Methods inherited from class org.apache.wicket.behavior.Behavior
`afterRender, beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, renderHead, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BadgeBehavior

    public BadgeBehavior()

### BadgeBehavior

    public BadgeBehavior(BadgeStyle labelStyle)

### BadgeBehavior

    public BadgeBehavior(org.apache.wicket.model.IModel<BadgeStyle> labelStyleModel)

Method Detail

### getBadgeStyle

    public BadgeStyle getBadgeStyle()

### getBadgeStyleModel

    protected org.apache.wicket.model.IModel<BadgeStyle> getBadgeStyleModel()

### bind

    public void bind(org.apache.wicket.Component component)

  Overrides:
    `bind` in class `org.apache.wicket.behavior.Behavior`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.